Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1181)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1182)
@@ -89,7 +89,7 @@
 	// essentially for Links and Persistence
 	public final static String RESULT_PARAMETERS_NODE_PATH = "result_parameters_node_path"; //$NON-NLS-1$
 	//public final static String RESULT_UUID = "result_uuid"; //$NON-NLS-1$
-	public final static String PARENT_UUID = "parent_parameters_node_path"; //$NON-NLS-1$
+	public final static String PARENT_PARAMETERS_NODE_PATH = "parent_parameters_node_path"; //$NON-NLS-1$
 	public final static String BUNDLE_ID = "bundle_id"; //$NON-NLS-1$
 	public final static String USER_NAME = "user_name"; //$NON-NLS-1$
 	public final static String LAZY_NAME = "lazy_name"; //$NON-NLS-1$
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1181)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1182)
@@ -229,7 +229,7 @@
 
 
 		// retrieving parent from UUID
-		String parentNodePath = this.getStringParameterValue(TXMPreferences.PARENT_UUID);
+		String parentNodePath = this.getStringParameterValue(TXMPreferences.PARENT_PARAMETERS_NODE_PATH);
 
 		//System.out.println("TXMResult.TXMResult(): parent UUID = " + parentUUID);
 
@@ -883,7 +883,7 @@
 		this.saveParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH, this.parametersNodePath);
 		this.saveParameter(TXMPreferences.BUNDLE_ID, this.commandPreferencesNodePath);
 		if (this.parent != null)	{
-			this.saveParameter(TXMPreferences.PARENT_UUID, this.parent.getParametersNodePath());
+			this.saveParameter(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, this.parent.getParametersNodePath());
 		}
 
 		this.lazyName = this.getSimpleName();
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1181)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1182)
@@ -405,7 +405,7 @@
 				}
 				Log.finest("Project.loadResults(): class = " + className); //$NON-NLS-1$
 				//					Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.getString(TXMPreferences.PARENT_UUID, nodeQualifier));
-				Log.finest("Project.loadResults(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_UUID, "")); //$NON-NLS-1$
+				Log.finest("Project.loadResults(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
 				String bundleId = TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
 				Log.finest("Project.loadResults(): bundle_id = " + bundleId); //$NON-NLS-1$
 				Bundle bundle = Platform.getBundle(bundleId);
@@ -1189,7 +1189,7 @@
 				//TXMPreferences.dump();
 
 				Log.finest("Toolbox.initialize(): class = " + className); //$NON-NLS-1$
-				Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_UUID, "")); //$NON-NLS-1$
+				Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
 				String bundleId = TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
 				Log.finest("Toolbox.initialize(): bundle_id = " + bundleId); //$NON-NLS-1$
 				Bundle bundle = Platform.getBundle(bundleId);
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1181)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1182)
@@ -1067,7 +1067,7 @@
 	 * @return the rEXP
 	 * @throws RWorkspaceException the r workspace exception
 	 */
-	public REXP eval(String exp) throws RWorkspaceException {
+	public synchronized REXP eval(String exp) throws RWorkspaceException {
 		REXP res = null;
 		try {
 			res = safeEval(exp);
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1181)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1182)
@@ -80,7 +80,7 @@
 			
 			// create a local result node in the project node, store in some parameters and call the linked command
 			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the target class
-			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_UUID, this.getResultParent(event).getParametersNodePath());
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, this.getResultParent(event).getParametersNodePath());
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERY, query);
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERIES, queries);
 			
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1181)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1182)
@@ -72,7 +72,7 @@
 			
 			// create a local result node in the project node, store in some parameters and call the linked command
 			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the target class
-			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_UUID, this.getResultParent(event).getParametersNodePath());
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, this.getResultParent(event).getParametersNodePath());
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.MATCHES, matches.toString());
 			
 			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), resultParametersNodePath);
